| Kea 3.0.2-git

subnet_id.h File Reference
`#include <exceptions/exceptions.h>`
`#include <stdint.h>`
`#include <typeinfo>`
`#include <limits>`
`#include <set>`
Include dependency graph for subnet_id.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::DuplicateSubnetID
| Exception thrown upon attempt to add subnet with an ID that belongs to the subnet that already exists. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef uint32_t | isc::dhcp::SubnetID
| Defines unique IPv4 or IPv6 subnet identifier.
typedef std::set< dhcp::SubnetID > | isc::dhcp::SubnetIDSet
| Ordered list aka set of subnetIDs.